/* 	==========================================================================
   	Typography
   	Headings, body text, lists, code, and more
	for a versatile and durable typography system.

	It is IMPORTANT to only apply margins on LEFT and BOTTOM of elements.
	The method of single direction margins helps keeping modules
	location-independent.
   	========================================================================== */


	/* 	BOX SIZING
   	========================================================================== */

   		*
		{
			box-sizing: border-box;
			font-smoothing: antialiased;
			-webkit-font-smoothing: antialiased;
			-moz-osx-font-smoothing: grayscale;
		}


	/* 	VERTICAL RHYHTM
   	========================================================================== */

   		h1,h2,h3,h4,h5,h6,hgroup,
		ul,ol,dd,
		p,figure,
		pre,table,fieldset,hr
		{
			margin: 0;
			margin-bottom: $block-element-margin;
		}


	/* 	BODY TEXT
   	========================================================================== */

		html
		{
			background-color: $html-background;
			font-family: $font-family;
			font-size: $html-font-size;
			line-height: $html-line-height;

			background-image: $html-background-image;
			background-position: center;
			background-repeat: no-repeat;
			background-size: 30px;
		}

		body
		{
			overflow: visible;

			font-size: $body-font-size;
			line-height: $body-line-height;

			background: $body-background;
			color: $text-color;
			font-weight: $body-font-weight;
		}

		::-webkit-selection
		{
		    background-color: $primary-accent;
		    color: $white;
		}

		::-moz-selection
		{
		    background-color: $primary-accent;
		    color: $white;
		}

		::selection
		{
		    background-color: $primary-accent;
		    color: $white;
		}

		strong,
		b
		{
			font-weight: $font-weight-bold;
		}